=== debian/changelog ===
scalapack (1.8.0-9build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:08:10 -0500

scalapack (1.8.0-9) unstable; urgency=low

  * scalapack failed to build from source with the new mpich2's targets. For
    avoiding this, scalapack has been linked explicitly with -lmpich -lmpl.
    Thanks again to Adam C Powell IV for providing a solution. (Closes: #653610)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 29 Dec 2011 20:24:51 +0100

scalapack (1.8.0-8) unstable; urgency=low

  * Added mpich2 targets in debian/rules. Thanks to Adam C Powell IV for
    providing a patch. (Closes: 652313)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 22 Dec 2011 16:58:01 -0500

scalapack (1.8.0-7) unstable; urgency=low

  * Test command execution failure caused due to incompatible file location in
    package scalapack-test-common has been fixed adding symbolic links pointing
    files to the correct location. (Closes: #588404) Files cannot be moved
    directly to /usr/lib/scalapack becasuse they are .dat files. Refer to
    Filesystem Hierarchy Standard | /usr/share : Architecture-independent data
    for more information.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Maintainer's mail has been changed.
  * Patched Mptr offset calculation to enable arrays with more than
    2^31 bytes. Thanks to David Gleich.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 18 Sep 2011 08:26:29 +0200

scalapack (1.8.0-6) unstable; urgency=low

  * debian/rules file has been updated for linking against blas and lapack
    instead of blas-3gf and lapack-3. With this change, scalapack does not fail
    to build from source. (Closes: #577895)
  * debian/source directory has been created for specifying 1.0 version in the
    file debian/source/format.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 19 Apr 2010 15:07:49 -0430

scalapack (1.8.0-5) unstable; urgency=low

  * Bumped standards version to 3.8.4.
  * diff.gz file has been cleaned in this revision.
  * debian/control: ${misc:Depends} has been added to Depends control field.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 01 Feb 2010 12:25:42 -0430

scalapack (1.8.0-4) unstable; urgency=low

  * Bumped standards version to 3.8.3.
  * scalapack-pvm-test does not depend on scalapack1-pvm anymore. To accomplish
    this, the debian/shlibs.local file has been updated  (Closes: #549707)
  * Typo in scalapack-test-common's description has been fixed.
    (Closes: #557848)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 18 Dec 2009 18:17:45 -0430

scalapack (1.8.0-3.1) unstable; urgency=low

  * NMU as authorized by maintainer.
  * Changed to build against mpi-default-dev. (Closes: #491028)
  * Replaced two sets of shlib, -dev and -test packages with just one.
  * Changed binary package names to generic mpi and to comply with policy
    i.e. libscalapack-mpi1 and libblacs-mpi-dev.
  * Added sections to all packages.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 04 May 2009 21:59:43 -0400

scalapack (1.8.0-3) unstable; urgency=low

  * Bumped standards version to 3.8.0.
  * Updated build dependency to debhelper >=6
  * Bug: 'FTBFS: symbols not found' has been fixed in this revision.
   (Closes: #483323)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 06 Jun 2008 13:22:03 -0430

scalapack (1.8.0-2) unstable; urgency=low

  * Bumped standards version to 3.7.3.
  * Scalpack is now building with Gfortran instead of G77. Thanks to Kumar
    Appaiah for providing a patch. (Closes: #465392)
  * Bug:' FTBFS: psblas1tst.f:(.text+0x156): undefined reference to
    `blacs_pinfo__'' has been fixed in this revision. (Closes: #462510)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 09 Mar 2008 12:33:24 -0430

scalapack (1.8.0-1) unstable; urgency=low

  * New upstream release.
  * Updated build dependency to debhelper >= 5
  * Line in debian/rules that seted DH_COMPAT globally was deleted and a
    separated debian/compat file created.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 07 Apr 2007 00:00:13 -0400

scalapack (1.7.4-2) unstable; urgency=low

  * Problems with symbolic link references the wrong file
    have been fixed. Closes: #380140
  * Updated build dependency to debhelper >= 4.
  * Moved architecture independent test input data to /usr/share/scalapack.
  * Thanks to Philipp Frauenfelder.
  * New maintainer. Closes: #335006

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 17 Sep 2006 13:51:20 -0400

scalapack (1.7.4-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version to 3.7.2 - no changes

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 12 Jul 2006 22:49:44 +0200

scalapack (1.7-11) unstable; urgency=low

  * Also allow building against atlas3-*-dev. Closes: #334002

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 26 Oct 2005 21:38:45 +0200

scalapack (1.7-10) unstable; urgency=low

  * Remove f2c from build depends and from SLmake.inc. Closes: #332955

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 13 Oct 2005 21:36:17 +0200

scalapack (1.7-9) unstable; urgency=low

  * Recompile against C++ ABI changed mpich (and change build depends).
    Closes: #325810

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 31 Aug 2005 23:05:18 +0200

scalapack (1.7-8) unstable; urgency=low

  * Adjust build deps for LAPACK and BLAS and also change the linking
    wrt. these libraries. Closes: #302425. Thanks to Camm Maguire

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 28 Apr 2005 13:55:52 +0200

scalapack (1.7-7) unstable; urgency=low

  * Adjust manual dependencies. Closes: #229831

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 21 Feb 2004 09:09:13 +0100

scalapack (1.7-6) unstable; urgency=low

  * Rebuild against lam4. Closes: #229831
  * Better package descriptions.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sun, 15 Feb 2004 14:56:26 +0100

