=== debian/control ===
Source: scalapack
Section: devel
Priority: extra
Maintainer: Muammar El Khatib <muammar@debian.org>
Standards-Version: 3.8.4
Build-Depends: mpi-default-dev, pvm-dev, blacs-pvm-dev, gfortran, liblapack-dev, libblas-dev, debhelper (>= 6), libblacs-mpi-dev
Homepage: http://www.netlib.org/scalapack/

Package: libscalapack-mpi1
Section: libs
Architecture: any
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Conflicts: scalapack1-mpich, scalapack1-lam
Replaces: scalapack1-mpich, scalapack1-lam
Suggests: scalapack-doc
Description: Scalable Linear Algebra Package - Shared libs. for MPI
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses MPI. There are packages for the shared libraries (this one), for
 the static libraries and the development files and for test programs.
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: libscalapack-mpi-dev
Section: libdevel
Architecture: any
Depends: libscalapack-mpi1 (= ${binary:Version}), libblacs-mpi-dev, ${misc:Depends}
Conflicts: scalapack-mpich-dev, scalapack-lam-dev
Replaces: scalapack-mpich-dev, scalapack-lam-dev
Suggests: scalapack-doc
Description: Scalable Linear Algebra Package - Dev. files for MPICH
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses MPI.
 .
 The package is available for LAM and MPICH. This package uses MPICH. There
 are packages for the shared libraries, for the static libraries and
 the development files (this one) and for test programs.
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: scalapack-mpi-test
Section: math
Architecture: any
Depends: scalapack-test-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: scalapack-mpich-test, scalapack-lam-test
Replaces: scalapack-mpich-test, scalapack-lam-test
Suggests: scalapack-doc
Description: Scalable Linear Algebra Package - Test files for MPICH
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses MPI.
 .
 The package is available for LAM and MPICH. This package uses MPICH. There
 are packages for the shared libraries, for the static libraries and
 the development files and for test programs (this one).
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: libscalapack-pvm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: scalapack-doc
Conflicts: scalapack1-pvm
Replaces: scalapack1-pvm
Description: Scalable Linear Algebra Package - Shared libs. for PVM
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries (this one), for the static
 libraries and the development files and for test programs.
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: libscalapack-pvm-dev
Section: libdevel
Architecture: any
Depends: libscalapack-pvm1 (= ${binary:Version}), blacs-pvm-dev, pvm-dev, ${shlibs:Depends}, ${misc:Depends}
Suggests: scalapack-doc
Description: Scalable Linear Algebra Package - Dev. files for PVM
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries, for the static libraries and
 the development files (this one) and for test programs.
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: scalapack-pvm-test
Section: math
Architecture: any
Depends: scalapack-test-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: scalapack-doc
Description: Scalable Linear Algebra Package - Test files for PVM
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries, for the static libraries and
 the development files and for test programs (this one).
 .
 Also included: PBLAS, Parallel Basic Linear Algebra Subprograms.

Package: scalapack-test-common
Architecture: all
Depends: ${misc:Depends}
Suggests: scalapack-lam-test | scalapack-mpich-test | scalapack-pvm-test
Description: Test data for ScaLAPACK testers
 ScaLAPACK is the parallel version of LAPACK and is used on Beowulf type
 clusters.
 .
 You can choose between an implementation based on MPI or PVM. This package
 provides test data for all ScaLAPACK packages (MPICH, LAM and PVM versions).
